Bug 13400 - Untranslatable "Are you sure you want to delete this authority?"
Summary: Untranslatable "Are you sure you want to delete this authority?"
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: 3.16
Hardware: All All
: P5 - low normal (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-05 11:30 UTC by paxed
Modified: 2015-12-03 22:02 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13400 - Untranslatable "Are you sure you want to delete this authority?" (1.98 KB, patch)
2014-12-08 15:27 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 13400 - Untranslatable "Are you sure you want to delete this authority?" (2.43 KB, patch)
2014-12-10 14:22 UTC, Owen Leonard
Details | Diff | Splinter Review
[PASSED QA] Bug 13400 - Untranslatable "Are you sure you want to delete this authority?" (2.45 KB, patch)
2014-12-12 14:11 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 13400 - Untranslatable "Are you sure you want to delete this authority?" (2.45 KB, patch)
2014-12-12 14:13 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 13400 [QA Followup] - Fix tabs and quotes (2.01 KB, patch)
2014-12-12 14:13 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description paxed 2014-12-05 11:30:05 UTC
Untranslatable javascript text:

authorities/searchresultlist.tt:    var is_confirmed = confirm('Are you sure you want to delete this authority?');
authorities/detail.tt:  var is_confirmed = confirm('Are you sure you want to delete this authority?');
Comment 1 Marc Véron 2014-12-08 15:27:20 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2014-12-10 13:51:51 UTC
Marc did you test by updating and installing a translation? I'm not sure if I'm testing incorrectly, but it's not working for me.

1. Applied the patch.
2. Ran perl translate update de-DE
3. Edited de-DE-i-staff-t-prog-v-3006000.po to add a "translation"
4. perl translate -v install de-DE
5. Testing deleting an authority from the authority search results page

I still got the default English confirmation message.
Comment 3 Owen Leonard 2014-12-10 14:20:29 UTC
Never mind. I needed to add step 3a. Delete the "fuzzy" marker from the entry in the po file. Thanks to cait for pointing out my error.
Comment 4 Owen Leonard 2014-12-10 14:22:56 UTC Comment hidden (obsolete)
Comment 5 Kyle M Hall 2014-12-12 14:11:40 UTC Comment hidden (obsolete)
Comment 6 Kyle M Hall 2014-12-12 14:13:29 UTC
Created attachment 34347 [details] [review]
[PASSED QA] Bug 13400 - Untranslatable "Are you sure you want to delete this authority?"

This patch makes the string "Are you sure you want to delete this
authority?" translatable using the function _(...)

To test, apply patch and check that deleting authorities still works.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Tested successfully with the following procedure:

1. Applied the patch.
2. Ran perl translate update de-DE
3. Edited de-DE-i-staff-t-prog-v-3006000.po to add a "translation"
4. Removed "#, fuzzy" marker from po entry.
5. perl translate -v install de-DE
6. Testing deleting an authority from the authority search results page
   and from the detail page. My translated string appeared correctly.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 7 Kyle M Hall 2014-12-12 14:13:35 UTC
Created attachment 34348 [details] [review]
[PASSED QA] Bug 13400 [QA Followup] - Fix tabs and quotes

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 8 Tomás Cohen Arazi 2014-12-17 23:26:26 UTC
Patch pushed to master.

Thanks Marc!
Comment 9 Chris Cormack 2014-12-18 04:48:39 UTC
Holding for 3.18.3
Comment 10 Chris Cormack 2014-12-23 07:19:31 UTC
Pushed to 3.18.x will be in 3.18.3
Comment 11 Mason James 2015-01-16 18:35:01 UTC
Contains string changes, holding for 3.16.8
Comment 12 Mason James 2015-01-18 00:37:51 UTC
Pushed to 3.16.x, will be in 3.16.7